package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLockset;
import com.ktg.iscs.domain.vo.lockset.IsLocksetVO;

import java.util.List;

/**
 * 锁具Service接口
 *
 * @author cgj
 * @date 2024-11-19
 */
public interface IIsLocksetService extends IService<IsLockset>
{
    /**
     * 查询锁具
     *
     * @param locksetId 锁具主键
     * @return 锁具
     */
    IsLockset selectIsLocksetByLocksetId(Long locksetId);

    /**
     * 查询锁具列表
     *
     * @param isLockset 锁具
     * @return 锁具集合
     */
    List<IsLockset> selectIsLocksetList(IsLockset isLockset);

    /**
     * 新增锁具
     *
     * @param isLockset 锁具
     * @return 结果
     */
    int insertIsLockset(IsLockset isLockset);

    /**
     * 修改锁具
     *
     * @param isLockset 锁具
     * @return 结果
     */
    int updateIsLockset(IsLockset isLockset);

    /**
     * 批量删除锁具
     *
     * @param locksetIds 需要删除的锁具主键集合
     * @return 结果
     */
    int deleteIsLocksetByLocksetIds(String locksetIds);

    /**
     * 删除锁具信息
     *
     * @param locksetId 锁具主键
     * @return 结果
     */
    int deleteIsLocksetByLocksetId(Long locksetId);

    Page<IsLocksetVO> getIsLocksetPage(Page<IsLockset> page, IsLockset isLockset);
}
